package io.renren.modules.snoop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.snoop.entity.SnoopAndSnoopValueEntity;
import io.renren.modules.snoop.entity.SnoopEntity;
import io.renren.modules.snoop.entity.SnoopValueEntity;

import java.util.List;
import java.util.Map;

public interface SnoopService extends IService<SnoopEntity> {
    List<SnoopEntity> selectByName(Integer page, Integer size, String name);

    Integer getCountByName(String name);

    PageUtils queryPage(Map<String, Object> params);

    void deleteBatch(Integer snoopIds);

    void saveMeasure(SnoopAndSnoopValueEntity snoopAndSnoopValueEntity);

}
